<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<form [formGroup]="authForm" class="w-screen h-dvh flex flex-col items-center justify-center" (ngSubmit)="authenticate()">
  <app-auth-card title="Basic Auth" [showClose]="!intro" [routeOnBack]="intro ? '/' : null">
    <div class="flex flex-col items-center">
      <div class="text-text-300 w-96">Access to the offline Broker is protected. Please enter the username and password defined in the file:</div>
      <div class="card flex items-center gap-2 mt-6">
        <i class="pi pi-file text-text-300"></i>
        <div>.htpasswd</div>
      </div>
      <app-info class="mt-6" message="By default, the file is in the same folder as docker-compose.yml"></app-info>
      <div class="mt-8 flex flex-col gap-2 items-center">
        <input pInputText formControlName="username" placeholder="Username" [style]="{ width: '200px', 'text-align': 'center' }" autocomplete="username" />
        <p-password
          formControlName="password"
          [feedback]="false"
          [toggleMask]="true"
          placeholder="Password"
          [inputStyle]="{ width: '200px', 'text-align': 'center', 'padding-left': '2.5rem' }"
          autocomplete="current-password"
        />
      </div>
    </div>
    <ng-container *ngLet="errorLoading$ | async as error">
      <div class="flex flex-col gap-4" [ngClass]="{ 'mt-4': error != null, 'mt-10': error == null }">
        <p-message *ngIf="error != null" severity="danger" text="Failed to authenticate. Invalid creadentials."></p-message>
        <p-button [loading]="(loading$ | async) ?? false" label="Authenticate" [style]="{ width: '200px' }" type="submit"></p-button>
      </div>
    </ng-container>
  </app-auth-card>
</form>
